Bug 1028908 - 14.1.2 File Cache Store Configuration (Library Mode) use configuration from infinispan 5.2 and 5.3
14.1.2 File Cache Store Configuration (Library Mode) use configuration from i...
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Grid 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity unspecified
: GA
: 6.2.0
Assigned To: gsheldon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-11 03:09 EST by Vitalii Chepeliuk
Modified: 2014-01-15 19:03 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Build Name: 12532, Administration and Configuration Guide-6.2-Beta-3 Build Date: 06-11-2013 16:02:50 Topic ID: 13167-502881 [Latest]
Last Closed: 2014-01-15 19:03:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vitalii Chepeliuk 2013-11-11 03:09:10 EST
Title: File Cache Store Configuration (Library Mode)

Describe the issue:
Following XML configuration is deprecated for infinispan 6.0 
<loaders>
    ...
	<fileStore location="${java.io.tmpdir}"
                   streamBufferSize="${SIZE}"
                   fsyncMode="${DEFAULT|PER_WRITE|PERIODIC}"
                   fsyncInterval="${TIME}" />
    ...
</loaders>

Suggestions for improvement:
      <persistence>
         <store class="org.infinispan.persistence.file.SingleFileStore">
            <properties>
               <property name="location" value="${java.io.tmpdir}"/>
            </properties>
         </store>
      </persistence>

Additional information:
Comment 4 Misha H. Ali 2013-11-13 02:12:59 EST
Hi Vitalii, 

Could you clarify this please? Gemma and I are a bit confused at this point.

Is the configuration snippet provided working for JDG 6.2? If so, it seems we should retain this for the release.

Or has this snippet changed in the new ISPN and therefore the old configuration won't work in JDG 6.2? In this case we certainly need to change all the relevant code.

Could you clarify please.
Comment 5 Vitalii Chepeliuk 2013-11-14 08:05:42 EST
OK nice I see the changes now. We can make configuration more advanced. Maybe I made It too simple. So users can configure this common parameters for all stores too, I mean passivation, fetchPersistentState, ignoreModifications, purgeOnStartup

      <persistence passivation="false">
         <store class="org.infinispan.persistence.file.SingleFileStore"
                 fetchPersistentState="false"
                 ignoreModifications="false"
                 purgeOnStartup="false">
            <properties>
               <property name="location" value="${java.io.tmpdir}"/>
            </properties>
         </store>
      </persistence>

Gemma please change this in 2.-----------------------------------------
2. Specify the Single File Location
The SingleFileStore stores cache values in a single file location. Data, keys, and file positions are stored in memory. 
SHOULD BE
2. Specify the File Location
The SingleFileStore stores cache values in a file. 
-----------------------------------------------------------------------
The following sentences looks similar, they are enclosed in <<< >>>
1. Specify the SingleFileStore class. <<<This implementation stores keys and file positions in memory>>>. The current implementation requires approximately 100 bytes per cache entry, plus memory for the key objects.   
2. The SingleFileStore stores cache values in a single file location. <<<Data, keys, and file positions are stored in memory.>>>

Aha and last thing 
Configure the following in persistence.xml. 
Should be 
Configure the following in infinispan.xml. 

Thanks Vitalii
PS> Old configuration should work but there were configuration changes for infinispan 6.0.0 so thats we should provide it to readers to use new XML configuration if they want to use new Infinispan 6.0.0 features.
Comment 7 gsheldon 2013-11-26 23:41:16 EST
Setting NEEDINFO for QA check. Please set to VERIFIED if you are happy with the changes.
Comment 8 Misha H. Ali 2014-01-15 19:03:17 EST
The fix for this bug is now generally released and available here:

https://access.redhat.com/site/documentation/en-US/Red_Hat_JBoss_Data_Grid/6.2/index.html

Note You need to log in before you can comment on or make changes to this bug.